Subject: bug#4970: 23.1; Emacs Gtk running nuts

From: Dan Nicolaescu <[email-masked]>
Date: Fri, 20 Nov 2009 08:05:52 -0800 (PST)

Jan Djärv <[email-masked]> writes:

  > Dan Nicolaescu skrev:
  > > Jan Djärv <[email-masked]> writes:
  > >
  > >   > What happens is that reading from the terminal fails and Emacs tries
  > >   > to remove that terminal, but in term.c:
  > >   >   >   if (last_terminal)
  > >   >       error ("Attempt to delete the sole terminal device with live frames");
  > >   >   >   > which goes back to the command loop, tries to read agan,
  > > fails, and
  > >   > tries to delete the terminal again, and so on.
  > >   >   > If you remove this check, Emacs exits.  But I suppose it is
  > > there for
  > >   > a reason, but I don't know what.  Anybody?
  > >
  > > It's there so that if you do:
  > > emacs -Q -nw
  > > C-x 5 0
  > > does not exit emacs.
  > 
  > Well, the check in term.c isn't preventing that.  It is the check in
  > frame.c delete_frame that does that:
  > 
  >   if (NILP (force) && !other_visible_frames (f))
  >     error ("Attempt to delete the sole visible or iconified frame");

Right.

Hmm, I think the check was intended to catch this situation:

emacs -nw -Q -f server-start

in different xterm

emacsclient -c (or emacsclient -t)

and then back into the emacs xterm:
C-x 5 0

But this does not work now, and I think it used to. :-(